/**
 * @license
 * Copyright Alibaba.com All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/NG-ZORRO/ng-zorro-antd/blob/master/LICENSE
 */
import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { NzNotificationDataFilled, NzNotificationDataOptions } from './typings';
import * as i0 from "@angular/core";
export declare class NzNotificationComponent implements OnInit, OnDestroy {
    protected cdr: ChangeDetectorRef;
    nzMessage: NzNotificationDataFilled;
    nzIndex: number;
    nzPlacement: string;
    readonly messageDestroy: EventEmitter<{
        id: string;
        userAction: boolean;
    }>;
    protected options: Required<NzNotificationDataOptions>;
    private autoClose;
    private eraseTimer;
    private eraseTimingStart;
    private eraseTTL;
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onEnter(): void;
    onLeave(): void;
    protected destroy(userAction?: boolean): void;
    private initErase;
    private updateTTL;
    private startEraseTimeout;
    private clearEraseTimeout;
    close(): void;
    get state(): string | undefined;
    static ɵfac: i0.ɵɵFactoryDef<NzNotificationComponent>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<NzNotificationComponent, "nz-notification", ["nzNotification"], { "nzMessage": "nzMessage"; "nzIndex": "nzIndex"; "nzPlacement": "nzPlacement"; }, { "messageDestroy": "messageDestroy"; }, never>;
}
